//------------------------------------------------------------------------------

#include <cmath>
#include <iostream>

using namespace std;

int main() {

  const double  dgrd = M_PI / 180.0;
  double nu, ea, ecc, m, a, t;

  cout << "Enter True Anomaly, Eccentricity:" << endl << endl;
  cin >> nu >> ecc;
  nu *= dgrd;
  nu = nu / 2.0;

  if (ecc < 1.0)
   {
    m = atan2((sin(nu)*sqrt((1.0-ecc)/(1.0+ecc))),cos(nu));
    m *= 2.0;
    m = m - ecc * sin(m);
    m = m / dgrd;

    cout << " Mean Anomaly: " << m << endl;
   }
  else
   {
    cout << "Enter Semimajor Axis (km), Epoch (days):" << endl << endl;
    cin >> a >> t;
    if (ecc == 1.0) ecc = 1.00001; // no parabolic orbits
    if (a < 0) a = -a;
    
    m = atanh(tan(nu)*sqrt((ecc-1.0)/(1.0+ecc)));
    m *= 2.0;
    m = ecc * sinh(m) - m;
    t = t - m * sqrt(a*a*a / 2.975536351780e+15);
    a = a * (ecc - 1.0);
    
    cout << " Time of Pericenter: " << t << endl;
    cout << " Pericenter Distance: " << a << endl;
   };
 
  return 0;
}
