/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stastdialog.h"

StAstDialog::StAstDialog()
{
    setObjectName(QString::fromUtf8("StAstDialog"));
    label_2 = new QLabel(this);
    label_2->setObjectName(QString::fromUtf8("label_2"));
    label_2->setGeometry(QRect(20, 40, 121, 16));
    raEdit = new QLineEdit(this);
    raEdit->setObjectName(QString::fromUtf8("raEdit"));
    raEdit->setGeometry(QRect(20, 60, 121, 24));
    label_3 = new QLabel(this);
    label_3->setObjectName(QString::fromUtf8("label_3"));
    label_3->setGeometry(QRect(20, 100, 121, 16));
    decEdit = new QLineEdit(this);
    decEdit->setObjectName(QString::fromUtf8("decEdit"));
    decEdit->setGeometry(QRect(20, 120, 121, 24));
    cancelButton = new QPushButton(this);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
    cancelButton->setGeometry(QRect(170, 120, 75, 26));
    abortButton = new QPushButton(this);
    abortButton->setObjectName(QString::fromUtf8("abortButton"));
    abortButton->setGeometry(QRect(170, 20, 75, 26));
    okButton = new QPushButton(this);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setGeometry(QRect(170, 80, 75, 26));
    okButton->setDefault(true);
    label = new QLabel(this);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(20, 10, 141, 21));
    QFont font;
    font.setBold(true);
    font.setWeight(75);
    label->setFont(font);
    label_2->setBuddy(raEdit);
    label_3->setBuddy(decEdit);

    QSize size(270, 173);
    size = size.expandedTo(this->minimumSizeHint());
    resize(size);

    QObject::connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
    QObject::connect(abortButton, SIGNAL(clicked()), this, SLOT(abortSlot()));

    setWindowTitle(QApplication::translate("StAstDialog", "Astrometry", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("StAstDialog", "&R.A. (HH.MMSS)", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("StAstDialog", "&Dec. (DDD.MMSS)", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("StAstDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
    abortButton->setText(QApplication::translate("StAstDialog", "&Abort", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("StAstDialog", "&OK", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("StAstDialog", "Enter Star Coordinates:", 0, QApplication::UnicodeUTF8));

   pabort = false;
};

void StAstDialog::setParams( double ra, double dec )
{
 QString s;
 
 if ((ra != 0) || (dec != 0))
  {
   s.setNum(ra);
   raEdit->setText(s);
   raEdit->selectAll();
   s.setNum(dec);
   decEdit->setText(s);
  };
}; 

void StAstDialog::getParams( double &ra, double &dec, bool &abort )
{
  QString s1;

  s1=raEdit->text();
  ra = s1.toDouble();
  s1=decEdit->text();
  dec = s1.toDouble();
  abort = pabort;
}

void StAstDialog::abortSlot()
{
  pabort = true;
  accept();
}

