/********************************************************************************
********************************************************************************/

#ifndef STDELTADIALOG_H
#define STDELTADIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

class StDeltaDialog : public QDialog
{
  Q_OBJECT

public:
  StDeltaDialog();

public slots:
    virtual void setParams( double deltv, double yaw, double pitch, bool ionf, bool suns, int nmflg, bool epu );
    virtual void getParams( double & deltv, double & yaw, double & pitch, bool & ionf, bool & suns, bool & epu );
    virtual void ionSlot();

private:
    QLineEdit *deltavEdit;
    QLineEdit *yawEdit;
    QLineEdit *pitchEdit;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QCheckBox *ionBox;
    QCheckBox *sunBox;
    QLabel *textLabel3;
    QCheckBox *epuBox;
    QPushButton *executeButton;
    QPushButton *cancelButton;
};

#endif // STDELTADIALOG_H
