/********************************************************************************
********************************************************************************/

#ifndef STEDITORBDIALOG_H
#define STEDITORBDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

class StEditOrbDialog : public QDialog
{
  Q_OBJECT

public:
  StEditOrbDialog();

public slots:
    virtual void setParam1( QString fsname, int norad, int aflg, int paflg, double mjdep, int lcflg );
    virtual void setParam2( double a, double ra, double aper, double inc, double ecc, double m0, double n0, double adot, double ndot, double n6dot, double bstar );
    virtual void getParam1( QString & fsname, int & norad, int & aflg, int & paflg, double & mjdep, double & day );
    virtual void getParam2( double & a, double & ra, double & aper, double & inc, double & ecc, double & m0, double & n0, double & adot, double & ndot, double & n6dot, double & bstar );

    virtual void refreshSlot();
    virtual void spgSlot();
    virtual void perapoSlot();
    virtual void n0Slot();
    virtual void smaxSlot();
    virtual void ndotSlot();
    virtual void adotSlot();
    virtual void perSlot();
    virtual void apoSlot();
    virtual void eccincSlot();
    virtual void stateSlot();
    virtual void eccSlot();
    virtual void timeSlot();
    virtual void adjSlot();
    virtual void geoSlot();
    virtual void setParam3( QString ldsn, bool numflg );
    virtual void getParam3( QString & ldsn, bool & numflg, bool & nwsflg );
    virtual void numSlot();
    virtual void nwsSlot();

private:
    QLineEdit *nameEdit;
    QLineEdit *yearEdit;
    QLineEdit *raEdit;
    QLabel *textLabel6;
    QLineEdit *aperEdit;
    QLabel *textLabel8;
    QLineEdit *n0Edit;
    QLabel *textLabel16;
    QLineEdit *adotEdit;
    QLineEdit *ndotEdit;
    QLineEdit *n2dotEdit;
    QLabel *textLabel7;
    QLineEdit *m0Edit;
    QLabel *textLabel12;
    QLabel *textLabel3;
    QLabel *textLabel2;
    QLineEdit *noradEdit;
    QLabel *textLabel4;
    QLineEdit *dayEdit;
    QLabel *textLabel17;
    QLineEdit *bstarEdit;
    QPushButton *cancelButton;
    QPushButton *okButton;
    QLabel *textLabel1_2;
    QLineEdit *idsnEdit;
    QLineEdit *periEdit;
    QLabel *textLabel11;
    QLineEdit *apoEdit;
    QLabel *textLabel9;
    QLineEdit *incEdit;
    QLineEdit *eccEdit;
    QLabel *textLabel1;
    QLabel *textLabel15;
    QPushButton *refreshButton;
    QLabel *textLabel14;
    QLineEdit *aEdit;
    QPushButton *stateButton;
    QPushButton *adjButton;
    QPushButton *geoButton;
    QLabel *textLabel10;
    QCheckBox *perapBox;
    QPushButton *timeButton;
    QPushButton *nwsButton;
    QLabel *textLabel5;
    QLabel *textLabel13;
    QCheckBox *spg4Box;
    QCheckBox *numBox;

};

#endif // STEDITORBDIALOG_H
