/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stiersdialog.h"

StIersDialog::StIersDialog()
{
        setObjectName(QString::fromUtf8("StIersDialog"));
        resize(374, 183);
        ckDefault = new QCheckBox(this);
        ckDefault->setObjectName(QString::fromUtf8("ckDefault"));
        ckDefault->setGeometry(QRect(20, 10, 140, 21));
        taiEdit = new QLineEdit(this);
        taiEdit->setObjectName(QString::fromUtf8("taiEdit"));
        taiEdit->setGeometry(QRect(20, 60, 71, 24));
        taiLabel = new QLabel(this);
        taiLabel->setObjectName(QString::fromUtf8("taiLabel"));
        taiLabel->setGeometry(QRect(20, 40, 131, 20));
        taiLabel->setWordWrap(false);
        ut1Label = new QLabel(this);
        ut1Label->setObjectName(QString::fromUtf8("ut1Label"));
        ut1Label->setGeometry(QRect(160, 40, 121, 20));
        ut1Label->setWordWrap(false);
        ut1Edit = new QLineEdit(this);
        ut1Edit->setObjectName(QString::fromUtf8("ut1Edit"));
        ut1Edit->setGeometry(QRect(160, 60, 71, 24));
        xEdit = new QLineEdit(this);
        xEdit->setObjectName(QString::fromUtf8("xEdit"));
        xEdit->setGeometry(QRect(20, 140, 81, 24));
        yEdit = new QLineEdit(this);
        yEdit->setObjectName(QString::fromUtf8("yEdit"));
        yEdit->setGeometry(QRect(140, 140, 81, 24));
        yLabel = new QLabel(this);
        yLabel->setObjectName(QString::fromUtf8("yLabel"));
        yLabel->setGeometry(QRect(140, 120, 111, 20));
        yLabel->setWordWrap(false);
        xLabel = new QLabel(this);
        xLabel->setObjectName(QString::fromUtf8("xLabel"));
        xLabel->setGeometry(QRect(20, 120, 111, 20));
        xLabel->setWordWrap(false);
        poleLabel = new QLabel(this);
        poleLabel->setObjectName(QString::fromUtf8("poleLabel"));
        poleLabel->setGeometry(QRect(20, 100, 251, 20));
        poleLabel->setWordWrap(false);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(280, 90, 71, 29));
        okButton->setDefault(true);
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(280, 130, 71, 29));
#ifndef QT_NO_SHORTCUT
        taiLabel->setBuddy(taiEdit);
        ut1Label->setBuddy(ut1Edit);
        yLabel->setBuddy(yEdit);
        xLabel->setBuddy(xEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(ckDefault, taiEdit);
        QWidget::setTabOrder(taiEdit, ut1Edit);
        QWidget::setTabOrder(ut1Edit, xEdit);
        QWidget::setTabOrder(xEdit, yEdit);
        QWidget::setTabOrder(yEdit, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(ckDefault, SIGNAL(toggled(bool)), this, SLOT(refreshSlot()));

        setWindowTitle(QApplication::translate("StIersDialog", "IERS Parameters", 0, QApplication::UnicodeUTF8));
        ckDefault->setText(QApplication::translate("StIersDialog", "Use &Defaults.", 0, QApplication::UnicodeUTF8));
        ckDefault->setShortcut(QApplication::translate("StIersDialog", "Alt+D", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        taiLabel->setToolTip(QApplication::translate("StIersDialog", "Difference UTC - TAI", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        taiLabel->setWhatsThis(QApplication::translate("StIersDialog", "Difference  between Coordinated Universal Time and International Atomic Time.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        taiLabel->setText(QApplication::translate("StIersDialog", "UTC - T&AI (sec):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        ut1Label->setToolTip(QApplication::translate("StIersDialog", "Difference UT1 and UTC.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        ut1Label->setWhatsThis(QApplication::translate("StIersDialog", "Difference between Universal time UT1 and Coordinated Universal time UTC.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        ut1Label->setText(QApplication::translate("StIersDialog", "UT&1 - UTC (sec):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        yLabel->setToolTip(QApplication::translate("StIersDialog", "y coordinate of pole.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        yLabel->setWhatsThis(QApplication::translate("StIersDialog", "y coordinate of pole.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        yLabel->setText(QApplication::translate("StIersDialog", "&y (arcsec):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        xLabel->setToolTip(QApplication::translate("StIersDialog", "x coordinate of pole.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        xLabel->setWhatsThis(QApplication::translate("StIersDialog", "x coordinate of pole.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        xLabel->setText(QApplication::translate("StIersDialog", "&x (arcsec):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        poleLabel->setToolTip(QApplication::translate("StIersDialog", "Coordinates of the Reference Pole.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        poleLabel->setWhatsThis(QApplication::translate("StIersDialog", "x and y coordinates as specified in Bulletin B of the International Earth Rotation Service.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        poleLabel->setText(QApplication::translate("StIersDialog", "IERS Reference Pole Coordinates:", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StIersDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StIersDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StIersDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StIersDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};


void StIersDialog::setParams( bool IERSflg, double IERSxp, double IERSyp, int UtcTai, double Ut1Utc )
{
 QString s;
 
 s.setNum(IERSxp);
 xEdit->setText(s);
 s.setNum(IERSyp);
 yEdit->setText(s);
 s.setNum(UtcTai);
 taiEdit->setText(s);
 s.setNum(Ut1Utc);
 ut1Edit->setText(s);
 
 ckDefault->setChecked(!IERSflg);
 refreshSlot();
}

void StIersDialog::getParams( bool & IERSflg, double & IERSxp, double & IERSyp, int & UtcTai, double & Ut1Utc )
{
 QString s;

 s=xEdit->text();
 IERSxp = s.toDouble();
 s=yEdit->text();
 IERSyp = s.toDouble();
 s=taiEdit->text();
 UtcTai = s.toInt();
 s=ut1Edit->text();
 Ut1Utc = s.toDouble();
 
 IERSflg = ckDefault->isChecked() ;
 IERSflg = ! IERSflg;
}

void StIersDialog::refreshSlot()
{
 if (ckDefault->isChecked())
  {
   xLabel->setEnabled(false);   
   xEdit->setEnabled(false);   
   yLabel->setEnabled(false);   
   yEdit->setEnabled(false);   
   poleLabel->setEnabled(false);   
   taiLabel->setEnabled(false);   
   taiEdit->setEnabled(false);   
   ut1Label->setEnabled(false);   
   ut1Edit->setEnabled(false);   
  }
 else
  {
   xLabel->setEnabled(true);   
   xEdit->setEnabled(true);   
   yLabel->setEnabled(true);   
   yEdit->setEnabled(true);   
   poleLabel->setEnabled(true);   
   taiLabel->setEnabled(true);   
   taiEdit->setEnabled(true);   
   ut1Label->setEnabled(true);   
   ut1Edit->setEnabled(true);   
  };
}
