/********************************************************************************
********************************************************************************/

#ifndef STMATCHDIALOG_H
#define STMATCHDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class StMatchDialog : public QDialog
{
  Q_OBJECT

public:
   StMatchDialog();

public slots:
    virtual void setParams( double az, double el, double mxa, double dra, double tm, bool rdf, bool drf, bool vis );
    virtual void getParams( double & az, double & el, double & mxa, double & dra, double & tm, bool & rdf, bool & drf, bool & vis );
    virtual void raSlot();
    virtual void dirSlot();

private:
    QLineEdit *azEdit;
    QLabel *raLabel;
    QLabel *elLabel;
    QLineEdit *elEdit;
    QLabel *textLabel3;
    QLabel *textLabel4;
    QLineEdit *mxaEdit;
    QLineEdit *draEdit;
    QLabel *textLabel5;
    QLineEdit *tmEdit;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QCheckBox *raBox;
    QCheckBox *drfBox;
    QCheckBox *visBox;
};
#endif // STMATCHDIALOG_H
