/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "stvisdialog.h"

StVisDialog::StVisDialog()
{
        setObjectName(QString::fromUtf8("StVisDialog"));
        resize(562, 461);
        textLabel1 = new QLabel(this);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setGeometry(QRect(21, 21, 188, 21));
        textLabel1->setWordWrap(false);
        sunelEdit = new QLineEdit(this);
        sunelEdit->setObjectName(QString::fromUtf8("sunelEdit"));
        sunelEdit->setGeometry(QRect(21, 40, 141, 21));
        textLabel2 = new QLabel(this);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setGeometry(QRect(21, 81, 188, 21));
        textLabel2->setWordWrap(false);
        satelEdit = new QLineEdit(this);
        satelEdit->setObjectName(QString::fromUtf8("satelEdit"));
        satelEdit->setGeometry(QRect(21, 100, 141, 21));
        visBox = new QCheckBox(this);
        visBox->setObjectName(QString::fromUtf8("visBox"));
        visBox->setGeometry(QRect(20, 140, 160, 21));
        moonBox = new QCheckBox(this);
        moonBox->setObjectName(QString::fromUtf8("moonBox"));
        moonBox->setGeometry(QRect(20, 180, 160, 21));
        textLabel3 = new QLabel(this);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setGeometry(QRect(301, 21, 138, 21));
        textLabel3->setWordWrap(false);
        epochEdit = new QLineEdit(this);
        epochEdit->setObjectName(QString::fromUtf8("epochEdit"));
        epochEdit->setGeometry(QRect(301, 40, 101, 21));
        occGroup = new QGroupBox(this);
        occGroup->setObjectName(QString::fromUtf8("occGroup"));
        occGroup->setGeometry(QRect(370, 120, 170, 170));
        moonButton = new QRadioButton(occGroup);
        moonButton->setObjectName(QString::fromUtf8("moonButton"));
        moonButton->setGeometry(QRect(20, 80, 120, 21));
        sunButton = new QRadioButton(occGroup);
        sunButton->setObjectName(QString::fromUtf8("sunButton"));
        sunButton->setGeometry(QRect(20, 40, 120, 21));
        radecButton = new QRadioButton(occGroup);
        radecButton->setObjectName(QString::fromUtf8("radecButton"));
        radecButton->setGeometry(QRect(20, 120, 120, 21));
        smplotBox = new QCheckBox(this);
        smplotBox->setObjectName(QString::fromUtf8("smplotBox"));
        smplotBox->setGeometry(QRect(380, 300, 150, 21));
        occBox = new QCheckBox(this);
        occBox->setObjectName(QString::fromUtf8("occBox"));
        occBox->setGeometry(QRect(370, 80, 160, 21));
        cancelButton = new QPushButton(this);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setGeometry(QRect(451, 404, 88, 29));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(451, 365, 88, 29));
        okButton->setDefault(true);
        eclBox = new QCheckBox(this);
        eclBox->setObjectName(QString::fromUtf8("eclBox"));
        eclBox->setGeometry(QRect(20, 410, 200, 21));
        knownBox = new QCheckBox(this);
        knownBox->setObjectName(QString::fromUtf8("knownBox"));
        knownBox->setGeometry(QRect(40, 260, 150, 21));
        localBox = new QCheckBox(this);
        localBox->setObjectName(QString::fromUtf8("localBox"));
        localBox->setGeometry(QRect(40, 295, 150, 21));
        solfBox = new QCheckBox(this);
        solfBox->setObjectName(QString::fromUtf8("solfBox"));
        solfBox->setGeometry(QRect(40, 330, 160, 21));
        yawEdit = new QLineEdit(this);
        yawEdit->setObjectName(QString::fromUtf8("yawEdit"));
        yawEdit->setGeometry(QRect(201, 269, 148, 21));
        pitchLabel = new QLabel(this);
        pitchLabel->setObjectName(QString::fromUtf8("pitchLabel"));
        pitchLabel->setGeometry(QRect(201, 296, 148, 21));
        pitchLabel->setWordWrap(false);
        pitchEdit = new QLineEdit(this);
        pitchEdit->setObjectName(QString::fromUtf8("pitchEdit"));
        pitchEdit->setGeometry(QRect(201, 313, 148, 21));
        iridBox = new QCheckBox(this);
        iridBox->setObjectName(QString::fromUtf8("iridBox"));
        iridBox->setGeometry(QRect(20, 370, 150, 21));
        flrmxEdit = new QLineEdit(this);
        flrmxEdit->setObjectName(QString::fromUtf8("flrmxEdit"));
        flrmxEdit->setGeometry(QRect(220, 400, 111, 31));
        flrmagBox = new QCheckBox(this);
        flrmagBox->setObjectName(QString::fromUtf8("flrmagBox"));
        flrmagBox->setGeometry(QRect(220, 350, 220, 21));
        flrmagLabel = new QLabel(this);
        flrmagLabel->setObjectName(QString::fromUtf8("flrmagLabel"));
        flrmagLabel->setGeometry(QRect(220, 380, 220, 20));
        flrmagLabel->setWordWrap(false);
        yawLabel = new QLabel(this);
        yawLabel->setObjectName(QString::fromUtf8("yawLabel"));
        yawLabel->setGeometry(QRect(200, 250, 148, 16));
        yawLabel->setWordWrap(false);
        flarBox = new QCheckBox(this);
        flarBox->setObjectName(QString::fromUtf8("flarBox"));
        flarBox->setGeometry(QRect(20, 220, 80, 21));
        ystBox = new QCheckBox(this);
        ystBox->setObjectName(QString::fromUtf8("ystBox"));
        ystBox->setGeometry(QRect(110, 220, 170, 21));
        cylBox = new QCheckBox(this);
        cylBox->setObjectName(QString::fromUtf8("cylBox"));
        cylBox->setGeometry(QRect(280, 220, 170, 21));
#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(sunelEdit);
        textLabel2->setBuddy(satelEdit);
        textLabel3->setBuddy(epochEdit);
        pitchLabel->setBuddy(pitchEdit);
        yawLabel->setBuddy(yawEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(sunelEdit, satelEdit);
        QWidget::setTabOrder(satelEdit, visBox);
        QWidget::setTabOrder(visBox, moonBox);
        QWidget::setTabOrder(moonBox, epochEdit);
        QWidget::setTabOrder(epochEdit, occBox);
        QWidget::setTabOrder(occBox, sunButton);
        QWidget::setTabOrder(sunButton, moonButton);
        QWidget::setTabOrder(moonButton, radecButton);
        QWidget::setTabOrder(radecButton, flarBox);
        QWidget::setTabOrder(flarBox, knownBox);
        QWidget::setTabOrder(knownBox, localBox);
        QWidget::setTabOrder(localBox, solfBox);
        QWidget::setTabOrder(solfBox, ystBox);
        QWidget::setTabOrder(ystBox, cylBox);
        QWidget::setTabOrder(cylBox, yawEdit);
        QWidget::setTabOrder(yawEdit, pitchEdit);
        QWidget::setTabOrder(pitchEdit, flrmagBox);
        QWidget::setTabOrder(flrmagBox, flrmxEdit);
        QWidget::setTabOrder(flrmxEdit, iridBox);
        QWidget::setTabOrder(iridBox, eclBox);
        QWidget::setTabOrder(eclBox, smplotBox);
        QWidget::setTabOrder(smplotBox, okButton);
        QWidget::setTabOrder(okButton, cancelButton);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
        connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
        connect(flarBox, SIGNAL(toggled(bool)), this, SLOT(flarSlot()));
        connect(knownBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(localBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(iridBox, SIGNAL(toggled(bool)), this, SLOT(iridSlot()));
        connect(ystBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(occBox, SIGNAL(toggled(bool)), this, SLOT(occSlot()));
        connect(sunButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(moonBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(radecButton, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(eclBox, SIGNAL(toggled(bool)), this, SLOT(eclSlot()));
        connect(flrmagBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));
        connect(cylBox, SIGNAL(toggled(bool)), this, SLOT(showSlot()));

        setWindowTitle(QApplication::translate("StVisDialog", "Visibility Settings", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel1->setToolTip(QApplication::translate("StVisDialog", "Maximum elevation of the Sun", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel1->setWhatsThis(QApplication::translate("StVisDialog", "The Sun must be below this angle to mark the satellite as visible. Set this to 90\302\260 if you want to allow daytime passes.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel1->setText(QApplication::translate("StVisDialog", "Ma&x.Sun Elevation (deg):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        sunelEdit->setToolTip(QApplication::translate("StVisDialog", "Maximum Sun elevation.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        sunelEdit->setWhatsThis(QApplication::translate("StVisDialog", "The Sun must be below this angle for the satellite to be visible. Set this to 90\302\260 if you are interested in daytime passes.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        textLabel2->setToolTip(QApplication::translate("StVisDialog", "Minimum satellite elevation.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel2->setWhatsThis(QApplication::translate("StVisDialog", "The elevation of the satellite must be larger than this for the satellite to be considered visible.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel2->setText(QApplication::translate("StVisDialog", "Mi&n.Sat Elevation (deg):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        satelEdit->setToolTip(QApplication::translate("StVisDialog", "Minimum satellite elevation.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        satelEdit->setWhatsThis(QApplication::translate("StVisDialog", "The elevation of the satellite must be larger than this for the satellite to be considered visible.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        visBox->setToolTip(QApplication::translate("StVisDialog", "Only illuminated satellites.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        visBox->setWhatsThis(QApplication::translate("StVisDialog", "The satellite must be illuminated to be accepted.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        visBox->setText(QApplication::translate("StVisDialog", "&Visible Passes Only", 0, QApplication::UnicodeUTF8));
        visBox->setShortcut(QApplication::translate("StVisDialog", "Alt+V", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        moonBox->setToolTip(QApplication::translate("StVisDialog", "Moon instead of the Sun as light source.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        moonBox->setWhatsThis(QApplication::translate("StVisDialog", "The visibility calculation are done with the Moon rather than with the Sun.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        moonBox->setText(QApplication::translate("StVisDialog", "Moon Visi&bility", 0, QApplication::UnicodeUTF8));
        moonBox->setShortcut(QApplication::translate("StVisDialog", "Alt+B", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        textLabel3->setToolTip(QApplication::translate("StVisDialog", "Epoch of the sky coordinates.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        textLabel3->setWhatsThis(QApplication::translate("StVisDialog", "Epoch of the sky coordinates used throughout the program.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        textLabel3->setText(QApplication::translate("StVisDialog", "&Year of Epoch:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        epochEdit->setToolTip(QApplication::translate("StVisDialog", "Epoch of the sky coordinates.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        epochEdit->setWhatsThis(QApplication::translate("StVisDialog", "Epoch of the sky coordinates used throughout the program.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_TOOLTIP
        occGroup->setToolTip(QApplication::translate("StVisDialog", "Occultation/Transit body", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        occGroup->setWhatsThis(QApplication::translate("StVisDialog", "Select body for which the occultation or transit calculations are being performed (Sun, Moon or specified sky direction).. ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        occGroup->setTitle(QApplication::translate("StVisDialog", "Body", 0, QApplication::UnicodeUTF8));
        moonButton->setText(QApplication::translate("StVisDialog", "&Moon Transit", 0, QApplication::UnicodeUTF8));
        moonButton->setShortcut(QApplication::translate("StVisDialog", "Alt+M", 0, QApplication::UnicodeUTF8));
        sunButton->setText(QApplication::translate("StVisDialog", "&Sun Transit", 0, QApplication::UnicodeUTF8));
        sunButton->setShortcut(QApplication::translate("StVisDialog", "Alt+S", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        radecButton->setToolTip(QApplication::translate("StVisDialog", "Specify occultation direction", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        radecButton->setWhatsThis(QApplication::translate("StVisDialog", "Specify Right Ascension and Declination of occultation.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        radecButton->setText(QApplication::translate("StVisDialog", "&R.A./Dec.", 0, QApplication::UnicodeUTF8));
        radecButton->setShortcut(QApplication::translate("StVisDialog", "Alt+R", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        smplotBox->setToolTip(QApplication::translate("StVisDialog", "Plot Sun or Moon for transit.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        smplotBox->setWhatsThis(QApplication::translate("StVisDialog", "Shows the Sun or the Moon and the position of the transiting satellite as view from observer.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        smplotBox->setText(QApplication::translate("StVisDialog", "Sun/Moon &Plot", 0, QApplication::UnicodeUTF8));
        smplotBox->setShortcut(QApplication::translate("StVisDialog", "Alt+P", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        occBox->setToolTip(QApplication::translate("StVisDialog", "Perform occulation/transit calculations", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        occBox->setWhatsThis(QApplication::translate("StVisDialog", "Calculate occultations or transit of a satellite in front of a specified sky position or body.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        occBox->setText(QApplication::translate("StVisDialog", "Occultation/&Transit", 0, QApplication::UnicodeUTF8));
        occBox->setShortcut(QApplication::translate("StVisDialog", "Alt+T", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("StVisDialog", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("StVisDialog", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StVisDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StVisDialog", "Alt+O", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        eclBox->setToolTip(QApplication::translate("StVisDialog", "Check for solar eclipse at satellite position", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        eclBox->setWhatsThis(QApplication::translate("StVisDialog", "Displays the apparent angle between the Sun and the Moon as viewed from the satellite and checks local solar eclipse circumstances at the time.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        eclBox->setText(QApplication::translate("StVisDialog", "Solar Eclipse C&heck", 0, QApplication::UnicodeUTF8));
        eclBox->setShortcut(QApplication::translate("StVisDialog", "Alt+H", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        knownBox->setToolTip(QApplication::translate("StVisDialog", "Reflecting surface is known", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        knownBox->setWhatsThis(QApplication::translate("StVisDialog", "The reflecting surface is known and its normal direction can be specified in the boxes to the right.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        knownBox->setText(QApplication::translate("StVisDialog", "&Known Surface", 0, QApplication::UnicodeUTF8));
        knownBox->setShortcut(QApplication::translate("StVisDialog", "Alt+K", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        localBox->setToolTip(QApplication::translate("StVisDialog", "Local satellite attitude.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        localBox->setWhatsThis(QApplication::translate("StVisDialog", "If marked the attitude of the satellite is assumed to be local with regard to the Earth, otherwise the satellite points toward a fixed position in the sky. ", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        localBox->setText(QApplication::translate("StVisDialog", "&Local Attitude", 0, QApplication::UnicodeUTF8));
        localBox->setShortcut(QApplication::translate("StVisDialog", "Alt+L", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        solfBox->setToolTip(QApplication::translate("StVisDialog", "Check for flares from solar panels.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        solfBox->setWhatsThis(QApplication::translate("StVisDialog", "Assumes that the solar panels are pointing toward the Sun. The angle between this direction and the ideal flare angle is then displayed. The smaller the angle the better the flare.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        solfBox->setText(QApplication::translate("StVisDialog", "Sol&ar Panel Flares", 0, QApplication::UnicodeUTF8));
        solfBox->setShortcut(QApplication::translate("StVisDialog", "Alt+A", 0, QApplication::UnicodeUTF8));
        pitchLabel->setText(QApplication::translate("StVisDialog", "Dec.(DDD.MMSS):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        iridBox->setToolTip(QApplication::translate("StVisDialog", "Select Iridium Flare calculations", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        iridBox->setWhatsThis(QApplication::translate("StVisDialog", "If marked the satellites are assumed to be Iridium satellites. Respective flare calculations will then be performed.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        iridBox->setText(QApplication::translate("StVisDialog", "&Iridium Flares", 0, QApplication::UnicodeUTF8));
        iridBox->setShortcut(QApplication::translate("StVisDialog", "Alt+I", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        flrmagBox->setToolTip(QApplication::translate("StVisDialog", "Enable the display of the flare magnitude.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        flrmagBox->setWhatsThis(QApplication::translate("StVisDialog", "Instead of displaying the flare angle the magnitude of the flare will be displayed. But note that the Characteristic Length in View, Magnitude must be set > 0 in order for the magnitude to be shown.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        flrmagBox->setText(QApplication::translate("StVisDialog", "&Display Flare Magnitude", 0, QApplication::UnicodeUTF8));
        flrmagBox->setShortcut(QApplication::translate("StVisDialog", "Alt+D", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        flrmagLabel->setToolTip(QApplication::translate("StVisDialog", "Maximum magnitude the flare can produce.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        flrmagLabel->setWhatsThis(QApplication::translate("StVisDialog", "The expected magnitude for an observer placed on the central line of the flare and optimum flare geometry.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        flrmagLabel->setText(QApplication::translate("StVisDialog", "Maximum Flare Magnitude:", 0, QApplication::UnicodeUTF8));
        yawLabel->setText(QApplication::translate("StVisDialog", "R.A.(HH.MMSS):", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        flarBox->setToolTip(QApplication::translate("StVisDialog", "Perform flare calculations.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        flarBox->setWhatsThis(QApplication::translate("StVisDialog", "Calculate specular reflections  of satellite surfaces.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        flarBox->setText(QApplication::translate("StVisDialog", "&Flares", 0, QApplication::UnicodeUTF8));
        flarBox->setShortcut(QApplication::translate("StVisDialog", "Alt+F", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        ystBox->setToolTip(QApplication::translate("StVisDialog", "Special local mode.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        ystBox->setWhatsThis(QApplication::translate("StVisDialog", "Modifies the local attitude for some Earth observation satellites. Very specific.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        ystBox->setText(QApplication::translate("StVisDialog", "Yaw St&eering Mode", 0, QApplication::UnicodeUTF8));
        ystBox->setShortcut(QApplication::translate("StVisDialog", "Alt+E", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        cylBox->setToolTip(QApplication::translate("StVisDialog", "Enable check for flares from cylindrical surface.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        cylBox->setWhatsThis(QApplication::translate("StVisDialog", "If checked the pointing direction of a cylindrical axis must be given as R.A. and Dec. for inertial and as Yaw/Pitch in Local attitude. SatCal then displays the angle between this direction and the needed flare direction as CylFlr Ang. An angle of 90 deg should produce a flare.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        cylBox->setText(QApplication::translate("StVisDialog", "Cylindrical Flares", 0, QApplication::UnicodeUTF8));
};

void StVisDialog::showSlot()
{
 if (occBox->isChecked())
   {
    occGroup->show(); 
    sunButton->show();
    sunButton->setEnabled(true);
    moonButton->show();
    moonButton->setEnabled(true);
    radecButton->show();
    radecButton->setEnabled(true);
    if (sunButton->isChecked() || moonButton->isChecked())
     {
      smplotBox->show();
      smplotBox->setEnabled(true);
     }
    else
     {
      smplotBox->hide();
      smplotBox->setEnabled(false);
     }; 
   }
 else
   {
    occGroup->hide();
    sunButton->hide();
    sunButton->setEnabled(false);
    moonButton->hide();
    moonButton->setEnabled(false);
    radecButton->hide();
    radecButton->setEnabled(false);
    smplotBox->hide();
    smplotBox->setEnabled(false);
   };

 solfBox->setEnabled(false);
 solfBox->hide(); 
 if (flarBox->isChecked())
  {
     knownBox->show();
     knownBox->setEnabled(true);
     localBox->show();
     localBox->setEnabled(true);
     if (localBox->isChecked()) 
      {	 
        ystBox->show();
        ystBox->setEnabled(true);	
      }
     else
      {	 
        ystBox->hide();
        ystBox->setEnabled(false);	
      };
  }    
else
  {
     knownBox->hide();
     knownBox->setEnabled(false);
     localBox->hide();
     localBox->setEnabled(false);
     ystBox->hide();
     ystBox->setEnabled(false);	
  };  

 if ((flarBox->isChecked() && (!knownBox->isChecked()) && (!localBox->isChecked())))
  {
   solfBox->setEnabled(true);
   solfBox->show();
  };  

 if (flarBox->isChecked() && (!knownBox->isChecked()))
  {
   cylBox->setEnabled(true);
   cylBox->show();
  }
 else
  {
   cylBox->setEnabled(false);
   cylBox->hide();
  };

 if (flarBox->isChecked() && (knownBox->isChecked()))
  {
   flrmagBox->setEnabled(true);
   flrmagBox->show();
  }
 else
  {
   flrmagBox->setEnabled(false);
   flrmagBox->hide();
  };

 if ((flrmagBox->isEnabled() && flrmagBox->isChecked()))
  {
   flrmxEdit->setEnabled(true);
   flrmxEdit->show();
   flrmagLabel->setEnabled(true);
   flrmagLabel->show();
  }
 else
  {
   flrmxEdit->setEnabled(false);
   flrmxEdit->hide();
   flrmagLabel->setEnabled(false);
   flrmagLabel->hide();
  };

 if ((flarBox->isChecked() && (knownBox->isChecked() || cylBox->isChecked()))
                             || (occBox->isChecked() && radecButton->isChecked()))
 {
   yawLabel->show();
   pitchLabel->show();
   yawEdit->show();
   yawEdit->setEnabled(true);
   pitchEdit->show();
   pitchEdit->setEnabled(true);
   if (occBox->isChecked())
    {
     yawLabel->setText("R.A.(HH.MMSS):");
     pitchLabel->setText("Dec.(DDD.MMSS):");
    }
   else
    {  
     if (localBox->isChecked())
      {
        yawLabel->setText("Yaw (deg):");  
        pitchLabel->setText("Pitch (deg):");
      }
     else
      {   
       yawLabel->setText("R.A.(HH.MMSS):");
       pitchLabel->setText("Dec.(DDD.MMSS):");
      };
    };  
 }
 else
 {
   yawLabel->hide();
   pitchLabel->hide();
   yawEdit->hide();
   yawEdit->setEnabled(false);
   pitchEdit->hide();
   pitchEdit->setEnabled(false);
 };
}

void StVisDialog::setParams( double sunel, double satel, double yrepoch, double occra, double occdec, int visflg, int moonflg )
{
 QString s;
 
 s.setNum(sunel);
 sunelEdit->setText(s);
 s.setNum(satel);
 satelEdit->setText(s);
 s.setNum(yrepoch);
 epochEdit->setText(s);
 s.setNum(occra);
 yawEdit->setText(s);
 s.setNum(occdec);
 pitchEdit->setText(s);
 visBox->setChecked(visflg == 1);
 moonBox->setChecked(moonflg == 1);
}

void StVisDialog::setParam2( int sunmplt, int occflg, int iridflg, int flarflg, int flarmod, int flaryst,
                              bool eclflg, bool solflar, bool flrmgf, double flrmgx, bool cylflg )
{
 int fm;
 QString s;
 
 s.setNum(flrmgx);
 flrmxEdit->setText(s);
  
 smplotBox->setChecked(sunmplt == 1);
 if (occflg > 0)
  {
   occBox->setChecked(true);
   if (occflg == 1) sunButton->setChecked(true);
   if (occflg == 2) moonButton->setChecked(true);
   if (occflg == 3) radecButton->setChecked(true);
  }
 else
  {
   occBox->setChecked(false);
   sunButton->setChecked(true);
  };    
 flarBox->setChecked(flarflg == 1);
 fm = flarmod;
 knownBox->setChecked(fm > 0);
 if (fm < 0) fm = -fm;
 localBox->setChecked(fm == 1);
 iridBox->setChecked(iridflg == 3);
 ystBox->setChecked(flaryst == 1);
 eclBox->setChecked(eclflg);
 solfBox->setChecked(solflar);
 flrmagBox->setChecked(flrmgf);
 cylBox->setChecked(cylflg);

 showSlot();
}

void StVisDialog::getParams( double &sunel, double &satel, double &yrepoch, double &occra, double &occdec, int &visflg, int &moonflg )
{
 QString s;

  s=sunelEdit->text();
  sunel = s.toDouble();
  s=satelEdit->text();
  satel = s.toDouble();
  s=epochEdit->text();
  yrepoch = s.toDouble();
  s=yawEdit->text();
  occra = s.toDouble();
  s=pitchEdit->text();
  occdec = s.toDouble();
  if (visBox->isChecked()) visflg = 1;
  else visflg = 0;
  if (moonBox->isChecked()) moonflg = 1;
  else moonflg = 0;
}

void StVisDialog::getParam2( int &sunmplt, int &occflg, int &iridflg, int &flarflg, int &flarmod, int &flaryst,
                              bool &eclflg, bool &solflar, bool &flrmgf, double &flrmgx, bool &cylflg )
{
 QString s;

  s=flrmxEdit->text();
  flrmgx = s.toDouble();
  
  if (smplotBox->isChecked()) sunmplt = 1;
  else sunmplt = 0;
  if (occBox->isChecked())
   {
    occflg = 1;
    if (moonButton->isChecked()) occflg = 2;
    if (radecButton->isChecked()) occflg = 3;
   } 
  else occflg = 0;
  if (iridBox->isChecked()) iridflg = 3;
  else iridflg = 0;
  if (ystBox->isChecked()) flaryst = 1;
  else flaryst = 0;
  if (flarBox->isChecked()) flarflg = 1;
  else flarflg = 0;
  if (localBox->isChecked()) flarmod = 1;
  else flarmod = 2;
  if (! knownBox->isChecked()) flarmod = -flarmod;
  eclflg = eclBox->isChecked();
  solflar = solfBox->isChecked();
  flrmgf = flrmagBox->isChecked();
  cylflg = cylBox->isChecked();
  if (solflar) cylflg = false;
}

void StVisDialog::flarSlot()
{
  if (flarBox->isChecked())
   {
    if (occBox->isChecked()) occBox->setChecked(false);
    if (iridBox->isChecked()) iridBox->setChecked(false);
    if (eclBox->isChecked()) eclBox->setChecked(false);
   }; 
  showSlot();
}

void StVisDialog::occSlot()
{
  if (occBox->isChecked())
   {
    if (flarBox->isChecked()) flarBox->setChecked(false);
    if (iridBox->isChecked()) iridBox->setChecked(false);
    if (eclBox->isChecked()) eclBox->setChecked(false);
   }; 
  showSlot();
}

void StVisDialog::iridSlot()
{
  if (iridBox->isChecked())
   {
    if (occBox->isChecked()) occBox->setChecked(false);
    if (flarBox->isChecked()) flarBox->setChecked(false);
    if (eclBox->isChecked()) eclBox->setChecked(false);
   }; 
  showSlot();
}

void StVisDialog::eclSlot()
{
  if (eclBox->isChecked())
   {
    if (occBox->isChecked()) occBox->setChecked(false);
    if (flarBox->isChecked()) flarBox->setChecked(false);
    if (iridBox->isChecked()) iridBox->setChecked(false);
   }; 
  showSlot();
}
